{  simg -- command line applications for deterministic image processing
   Version 20210727
   Copyright (C) 1999-2021 Stefan Ziegenbalg
  
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 3 as
   published by the Free Software Foundation.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, see http://www.gnu.org/licenses/.
!}

{@name test}
{@description Continuum subtraction with interpolation of bright stars.}

{$I directives.pas}
uses simage,getparam,sysutils;

procedure bgapprox_test(cc:CsImg_Config);
const nxy = 500;
      nc  = 3;
      sig = 1 * sqrt(12);
var fi,fj,fw    : TSImg_FPImage;
    x,y,c       : longint;
    m           : array[1..nc] of longint;
    d           : ^simgfp;
begin
    for c:=1 to nc do
        m[c]:=round(nxy*(1-exp(ln(0.5)*c)));
    fi.pt:=nil;  SImg_New(cc, fi, nxy,nxy,nc, false);
    d:=fi.pt;
    for y:=0 to nxy-1 do
        for x:=0 to nxy-1 do
            for c:=1 to nc do
            begin
                if (x<m[c]) and (y<m[c]) then d^:=1+(random-0.5)*sig
                else d^:=(random-0.5)*sig;
            d+=1;
            end;
    fw.pt:=nil;  SImg_New(cc, fw, nxy,nxy,nc, false);
    for x:=0 to fw.size-1 do
        fw.pt[x]:=1;
    SImg_WriteImageFile(cc, 'bgApproxTest-fi.fits',fi);
    fj.pt:=nil;
    SImg_Duplicate(cc, fi,fj, true);
    SImg_BGApprox3(cc, fj,fw, 2);
    for x:=0 to fj.size-1 do
        fi.pt[x]-=fj.pt[x];
    SImg_WriteImageFile(cc, 'bgApproxTest-fj.fits',fi);
    SImg_Free(cc, fi);
    SImg_Free(cc, fj);
    SImg_Free(cc, fw);
end;

var cc                  : CSImg_Config;

begin
    cc:=CSImg_Config.create(SImg_Config_Default);

//    SImg_SubtractStars_PSFFitTest(cc);
//    SImg_StarSubtract_WidthFilter_tests(cc);
    bgapprox_test(cc);

    cc.destroy;
end.
