{  simg -- visualization library
   Version 20210727
   Copyright (C) 1999-2021 Stefan Ziegenbalg
  
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 3 as
   published by the Free Software Foundation.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, see http://www.gnu.org/licenses/.
!}

{$mode objfpc}
unit siv_pixmaps;

interface
const xpm_fileopen : array[0..16+5] of pchar = (
        '16 16 5 1',
        '       c None',
        '.      c #000000',
        '+      c #FFFF00',
        '@      c #FFFFFF',
        '#      c #7F7F00',
        '                ',
        '                ',
        '         ...    ',
        '        .   . . ',
        '             .. ',
        ' ...        ... ',
        '.+@+.......     ',
        '.@+@+@+@+@.     ',
        '.+@+@+@+@+.     ',
        '.@+@+...........',
        '.+@+.#########. ',
        '.@+.#########.  ',
        '.+.#########.   ',
        '..#########.    ',
        '...........     ',
        '                '
    );

const xpm_quit : array[0..16+7] of pchar = (
        '16 16 7 1',
        '  c None',
        '. c #000000',
        '+ c #c00000',
        'a c #c00000',
        'o c #ff8080',
        ', c #800000',
        '# c #ffffff',
        '     ......     ',
        '   ..oooooo..   ',
        '  .ooooooooo+.  ',
        ' .oooaaaaaa+++. ',
        ' .ooaaaaaaaa++. ',
        '.ooaaaaaaaaaa,,.',
        '.ooa,,,,,,,,o,,.',
        '.ooa,######oo,,.',
        '.ooa,######oo,,.',
        '.ooa,oooooooo,,.',
        '.ooaoooooooo+,,.',
        ' .++aaaaaaaa,,. ',
        ' .+++aaaaaa,,,. ',
        '  .+,,,,,,,,,.  ',
        '   ..,,,,,,..   ',
        '     ......     '
    );

const xpm_reload : array[0..16+5] of pchar = (
        '16 16 5 1',
        '  c None',
        '. c #000000',
        'x c #00c060',
        '* c #80ff80',
        '+ c #008040',
        '                ',
        '      ......   .',
        '     .******. ..',
        '    .*x+++++x.x.',
        '   .*xx....xxxx.',
        '   ....    .*x+.',
        '          .*xx+.',
        ' ....... .xx+++.',
        ' .****x. .......',
        ' .*xx+.         ',
        ' .*x+.    ....  ',
        ' .*xxx....*xx.  ',
        ' .x.xxx***x+.   ',
        ' .. .++++++.    ',
        ' .   ......     ',
        '                '
    );

const xpm_information : array[0..16+7] of pchar = (
        '16 16 7 1',
        '  c None',
        '. c #000000',
        ', c #000040',
        '+ c #0000c0',
        'a c #0000c0',
        'o c #8080ff',
        '# c #ffffff',
        '     ......     ',
        '   ..oooooo..   ',
        '  .ooooooooo+.  ',
        ' .oooa,,,oa+++. ',
        ' .ooaa,##oaa++. ',
        '.ooaaa,##oaaa,,.',
        '.ooaa,,+++aaa,,.',
        '.ooaa,###oaaa,,.',
        '.ooaaa+##oaaa,,.',
        '.ooaaa,##oaaa,,.',
        '.ooaa,,##o+aa,,.',
        ' .++a,####oa,,. ',
        ' .++++ooooo,,,. ',
        '  .+,,,,,,,,,.  ',
        '   ..,,,,,,..   ',
        '     ......     '
    );

const xpm_fit : array[0..16+3] of pchar = (
        '16 16 3 1',
        '+ c #000000',
        'x c #ff8000',
        '  c None',
        '                ',
        '        +++++++ ',
        '       +xxxxxxx+',
        '        ++++xxx+',
        '          +xx+x+',
        '         +xx++x+',
        '        +xx+ +x+',
        '       +xx+  +x+',
        ' +    +xx+    + ',
        '+x+  +xx+       ',
        '+x+ +xx+        ',
        '+x++xx+         ',
        '+x+xx+          ',
        '+xxx++++        ',
        '+xxxxxxx+       ',
        ' +++++++        '
    );

const xpm_nocombine : array[0..16+8] of pchar = (
        '33 16 8 1',
        '  c None',
        '. c #000000',
        '1 c #603000',
        '2 c #a06000',
        '3 c #ffa000',
        'a c #808080',
        'b c #c0c0c0',
        'c c #ffffff',
        '    .........           .........',
        '    .3333333.           .3333333.',
        '    .33333c3.           .33333c3.',
        '    .3333333.           .3333333.',
        '  .........3.         .........3.',
        '  .2222222.3.         .2222222.3.',
        '  .22222b2...   .     .22222b2...',
        '  .2222222.     ..    .2222222.  ',
        '  .2b22222.  ......   .2b22222.  ',
        '.........2.     ..  .........2.  ',
        '.1111111...     .   .1111111...  ',
        '.11111a1.           .11111a1.    ',
        '.1111111.           .1111111.    ',
        '.1a11111.           .1a11111.    ',
        '.1111111.           .1111111.    ',
        '.........           .........    '
    );

const xpm_combine : array[0..16+9] of pchar = (
        '33 16 9 1',
        '  c None',
        '. c #000000',
        '0 c #804000',
        '1 c #603000',
        '2 c #a06000',
        '3 c #ffa000',
        'a c #808080',
        'b c #c0c0c0',
        'c c #ffffff',
        '    .........                    ',
        '    .3333333.                    ',
        '    .33333c3.                    ',
        '    .3333333.                    ',
        '  .........3.         .........  ',
        '  .2222222.3.         .0000000.  ',
        '  .22222b2...   .     .00000c0.  ',
        '  .2222222.     ..    .0000000.  ',
        '  .2b22222.  ......   .0c00000.  ',
        '.........2.     ..    .0000000.  ',
        '.1111111...     .     .........  ',
        '.11111a1.                        ',
        '.1111111.                        ',
        '.1a11111.                        ',
        '.1111111.                        ',
        '.........                        '
    );

const xpm_dupwin1 : array[0..16+4] of pchar = (
        '16 16 4 1',
        '       c None',
        '.      c #000000',
        '+      c #C00080',
        '@      c #FFFFFF',
        '                ',
        '   ............ ',
        '   .++++++++++. ',
        '   .++++++++++. ',
        '   .@@@@@@@@@@. ',
        ' ............@. ',
        ' .++++++++++.@. ',
        ' .++++++++++.@. ',
        ' .@@@@@@@@@@.@. ',
        ' .@@@@@@@@@@.@. ',
        ' .@@@@@@@@@@... ',
        ' .@@@@@@@@@@.   ',
        ' .@@@@@@@@@@.   ',
        ' .@@@@@@@@@@.   ',
        ' ............   ',
        '                '
    );

const xpm_right_arrow : array[0..21+4] of pchar = (
        '20 21 4 1',
        '       c None',
        '+      c #000000',
        '.      c #706080',
        //'*      c #c4a8e0',
        '*      c #b69cd0',
        '         +          ',
        '         +.         ',
        '         +..        ',
        '         +...       ',
        '         +....      ',
        '         +.....     ',
        '++++++++++......    ',
        '+................   ',
        '+.................  ',
        '+.................. ',
        '+..................*',
        '+.................* ',
        '+................*  ',
        '+...............*   ',
        '+********+.....*    ',
        '         +....*     ',
        '         +...*      ',
        '         +..*       ',
        '         +.*        ',
        '         +*         ',
        '         .          '
    );

const xpm_up_arrows : array[0..7+5] of pchar = (
        '65 7 5 1',
        '  c None',
        '+ c #900030',
        '. c #000000',
        ', c #600020',
        'o c #ff0060',
        '      .                         .                         .      ',
        '     .o.                       .o.                       .o.     ',
        '    .o++.                     .o++.                     .o++.    ',
        '   .o++++.                   .o++++.                   .o++++.   ',
        '  .o++++++.                 .o++++++.                 .o++++++.  ',
        ' .o,,,,,,,,.               .o,,,,,,,,.               .o,,,,,,,,. ',
        '.............             .............             .............'
    );

const xpm_down_arrows : array[0..7+5] of pchar = (
        '65 7 5 1',
        '  c None',
        '+ c #900030',
        '. c #000000',
        ', c #600020',
        'o c #e00048',
        '.............             .............             .............',
        ' .ooooooooo.               .oooooooo,.               .oooooooo+. ',
        '  .++++++,.                 .++++++,.                 .++++++,.  ',
        '   .++++,.                   .++++,.                   .++++,.   ',
        '    .++,.                     .++,.                     .++,.    ',
        '     .,.                       .+.                       .+.     ',
        '      .                         .                         .      '
    );

const xpm_pattern_1_4 : array[0..2+2] of pchar = (
        '2 2 2 1',
        '  c None',
        'X c #ffffffffffff',
        'X ',
        '  '
    );

const xpm_pattern_2_4 : array[0..2+2] of pchar = (
        '2 2 2 1',
        '  c None',
        'X c #ffffffffffff',
        'X ',
        ' X'
    );

const xpm_pattern_1_9 : array[0..3+2] of pchar = (
        '3 3 2 1',
        '  c None',
        'X c #ffffffffffff',
        'X  ',
        '   ',
        '   '
    );

const xpm_pattern_1_16 : array[0..4+2] of pchar = (
        '3 3 2 1',
        '  c None',
        'X c #ffffffffffff',
        'X   ',
        '    ',
        '    ',
        '    '
    );

const xpm_pattern_4_16 : array[0..4+2] of pchar = (
        '3 3 2 1',
        '  c None',
        'x c #ffffffffffff',
        'XX  ',
        'XX  ',
        '    ',
        '    '
    );

const xpm_pattern_8_16 : array[0..4+2] of pchar = (
        '3 3 2 1',
        '  c None',
        'X c #ffffffffffff',
        'XX  ',
        'XX  ',
        '  XX',
        '  XX'
    );


const siv_marker1_xsize = 25;
      siv_marker1_ysize = 25;
      siv_marker1 : array[0..siv_marker1_ysize-1, 0..siv_marker1_ysize-1] of char = (
        '            X            ',
        '            X            ',
        '            X            ',
        '            X            ',
        '            X            ',
        '            X            ',
        '          XXXXX          ',
        '        XX  X  XX        ',
        '       X    X    X       ',
        '       X    X    X       ',
        '      X     X     X      ',
        '      X           X      ',
        'XXXXXXXXXXX   XXXXXXXXXXX',
        '      X           X      ',
        '      X     X     X      ',
        '       X    X    X       ',
        '       X    X    X       ',
        '        XX  X  XX        ',
        '          XXXXX          ',
        '            X            ',
        '            X            ',
        '            X            ',
        '            X            ',
        '            X            ',
        '            X            '
    );

const xpm_up_arrow1 : array[0..2+8] of pchar = (
        '13 8 2 1',
        '       c None',
        '*      c #000000',
        '      *      ',
        '     ***     ',
        '    *****    ',
        '   *******   ',
        '  *********  ',
        ' *********** ',
        '*************',
        '             '
    );

const xpm_up_arrow2 : array[0..2+8] of pchar = (
        '13 8 2 1',
        '       c None',
        '*      c #000000',
        '      *      ',
        '     * *     ',
        '    * * *    ',
        '   * * * *   ',
        '  * * * * *  ',
        ' * * * * * * ',
        '* * * * * * *',
        '             '
    );

const xpm_down_arrow1 : array[0..2+8] of pchar = (
        '13 8 2 1',
        '       c None',
        '*      c #000000',
        '             ',
        '*************',
        ' *********** ',
        '  *********  ',
        '   *******   ',
        '    *****    ',
        '     ***     ',
        '      *      '
    );

const xpm_down_arrow2 : array[0..2+8] of pchar = (
        '13 8 2 1',
        '       c None',
        '*      c #000000',
        '             ',
        '* * * * * * *',
        ' * * * * * * ',
        '  * * * * *  ',
        '   * * * *   ',
        '    * * *    ',
        '     * *     ',
        '      *      '
    );


{     ......     ',
        '   ..oooooo..   ',
        '  .ooooooooo+.  ',
        ' .ooo      +++. ',
        ' .oo        ++. ',
        '.oo          ,,.',
        '.oo          ,,.',
        '.oo          ,,.',
        '.oo          ,,.',
        '.oo          ,,.',
        '.oo          ,,.',
        ' .++        ,,. ',
        ' .+++      ,,,. ',
        '  .+,,,,,,,,,.  ',
        '   ..,,,,,,..   ',
        '     ......     ');}


implementation

end.
